#ifndef CANVAS_HPP_INCLUDED
#define CANVAS_HPP_INCLUDED

#include <cstdint>
#include "Object.hpp"

class Canvas : public Object
{
    public:
        Canvas();
        Canvas(void* Obj);
        Canvas(const Canvas& C);
        void DispatchEvent(Object Event) const;
        std::int32_t GetWidth() const;
        std::int32_t GetHeight() const;
};

#endif // CANVAS_HPP_INCLUDED
